org.jbpm.services.task.impl.model.xml

## Class JaxbDeadlines

- java.lang.Object
- - org.jbpm.services.task.impl.model.xml.JaxbDeadlines

- All Implemented Interfaces:
    Externalizable, Serializable, org.kie.internal.task.api.model.Deadlines

      public class JaxbDeadlines
      extends Object
      implements org.kie.internal.task.api.model.Deadlines

  This is a "dummy" object which does *NOT* contain any information
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JaxbDeadlines()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<org.kie.internal.task.api.model.Deadline>` | `getEndDeadlines()`
    `List<org.kie.internal.task.api.model.Deadline>` | `getStartDeadlines()`
    `void` | `readExternal(ObjectInput in)`
    `void` | `setEndDeadlines(List<org.kie.internal.task.api.model.Deadline> endDeadlines)`
    `void` | `setStartDeadlines(List<org.kie.internal.task.api.model.Deadline> startDeadlines)`
    `void` | `writeExternal(ObjectOutput out)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JaxbDeadlines

          public JaxbDeadlines()

  - ### Method Detail

    - #### getStartDeadlines

          public List<org.kie.internal.task.api.model.Deadline> getStartDeadlines()

      Specified by:
        `getStartDeadlines` in interface `org.kie.internal.task.api.model.Deadlines`

    - #### setStartDeadlines

          public void setStartDeadlines(List<org.kie.internal.task.api.model.Deadline> startDeadlines)

      Specified by:
        `setStartDeadlines` in interface `org.kie.internal.task.api.model.Deadlines`

    - #### getEndDeadlines

          public List<org.kie.internal.task.api.model.Deadline> getEndDeadlines()

      Specified by:
        `getEndDeadlines` in interface `org.kie.internal.task.api.model.Deadlines`

    - #### setEndDeadlines

          public void setEndDeadlines(List<org.kie.internal.task.api.model.Deadline> endDeadlines)

      Specified by:
        `setEndDeadlines` in interface `org.kie.internal.task.api.model.Deadlines`

    - #### writeExternal

          public void writeExternal(ObjectOutput out)
                             throws IOException

      Specified by:
        `writeExternal` in interface `Externalizable`
      Throws:
        `IOException`

    - #### readExternal

          public void readExternal(ObjectInput in)
                            throws IOException,
                                   ClassNotFoundException

      Specified by:
        `readExternal` in interface `Externalizable`
      Throws:
        `IOException`
        `ClassNotFoundException`

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.